import request from '@/utils/request'

// 查询许可信息列表
export function listInfo(query) {
  return request({
    url: '/basicData/xcrLicenseInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询许可信息详细
export function getInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrLicenseInfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增许可信息
export function addInfo(data) {
  return request({
    url: '/basicData/xcrLicenseInfo',
    method: 'post',
    data: data
  })
}

// 修改许可信息
export function updateInfo(data) {
  return request({
    url: '/basicData/xcrLicenseInfo',
    method: 'put',
    data: data
  })
}

// 删除许可信息
export function delInfo(xhCodeId) {
  return request({
    url: '/basicData/xcrLicenseInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  return request.post('/basicData/xcrLicenseInfo/delete',ids)
}
